/** BEGIN COPYRIGHT BLOCK
 * Copyright 2001 Sun Microsystems, Inc.
 * Portions copyright 1999, 2001 Netscape Communications Corporation.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
package com.netscape.management.admserv.panel;

import java.util.*;
import java.net.*;
import com.netscape.management.client.util.*;
import com.netscape.management.client.console.ConsoleInfo;
import com.netscape.management.admserv.config.*;

/**
  *
  * @version 0.1 11/28/97
  * @author miodrag@netscape.com
  */
public class AdminConfigData extends CGIAggregateDataModel {
    public AdminConfigData(ConsoleInfo consoleInfo) {
        super(consoleInfo);
    }

    /**
         * Check if the server is NT platform
        */
    static public boolean isWindowsNTPlatform(ConsoleInfo ci) {
        String platform = (String) ci.getAdminOS();
        return (platform != null && platform.startsWith("Win"));
    }

    static public boolean isRunning(String adminURL) {
        try {
            URL serverURL = new URL(adminURL);
            URLConnection server = serverURL.openConnection();
            server.connect();
            return true;
        } catch (MalformedURLException ex) {
            Debug.println("ERROR AdminConfigData.isRunning: bad URL " +
                    adminURL);
        }
        catch (java.io.IOException ex) {
            Debug.println("AdminConfigData.isRunning: " + ex);
        }

        return false;
    }
}
