/** BEGIN COPYRIGHT BLOCK
 * Copyright 2001 Sun Microsystems, Inc.
 * Portions copyright 1999, 2001 Netscape Communications Corporation.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
package com.netscape.management.admserv.panel;

import com.netscape.management.client.console.ConsoleInfo;
import com.netscape.management.admserv.config.*;
import com.netscape.management.client.util.*;

/**
  *
  * @version 0.1 11/28/97
  * @author miodrag@netscape.com
  */
public class CGILoggingSetup extends CGIDataModel {
    private static String _taskURL = "admin-serv/tasks/Configuration/ServerSetup";

    public CGILoggingSetup(ConsoleInfo consoleInfo) {
        super(consoleInfo, _taskURL);
    }

    /**
      * CGI arguments used in getConfiguration()
     */
    public String getCGIParamsForGetOp() {
        return "op=get&" + AttrNames.CONFIG_ACCESSLOG + "=&" +
                AttrNames.CONFIG_ERRORLOG + "=";
    }

    /**
      * CGI arguments used in setConfiguration()
     */
    public String getCGIParamsForSetOp() {
        return "op=force_set&" + toURLformat(_data);
    }

    public void save() throws RemoteRequestException {
        super.save();
        ResourceSet resource = new ResourceSet("com.netscape.management.admserv.panel.panel");
        String msg = resource.getString("adminop", "NeedRestart");
        ConfigInfoDialog.showDialog(
                UtilConsoleGlobals.getActivatedFrame(), msg, "");
    }
}
