# BEGIN COPYRIGHT BLOCK
# Copyright 2001 Sun Microsystems, Inc.
# Portions copyright 1999, 2001 Netscape Communications Corporation.
# All rights reserved.
# END COPYRIGHT BLOCK
#!/bin/sh
#
# Filter out iWS shared library files in bin/https/bin/lib that already exist
# in the common directory <server-root>/lib.
#
# Usage $0 <iWS-source-lib-dir> <server-root-lib-dir>
#
if [ $# -ne 2 ]; then
   echo Usage: $0 \<iWS-source-lib-dir\> \<server-root-lib-dir\>
   exit 1
fi
 
if [ ! -d $1 ]; then
   echo $0: $1 does not exist
   exit 1
fi

if [ ! -d $2 ]; then
   echo $0: $2 does not exist
   exit 1
fi

cd $1;
for i in *.*; do
    if [ ! -f $2/$i ]; then 
        echo $i
    fi
done 
