/** BEGIN COPYRIGHT BLOCK
 * Copyright 2001 Sun Microsystems, Inc.
 * Portions copyright 1999, 2001 Netscape Communications Corporation.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
/*********************************************/
/*                                           */
/* hashtable.h : a hashtable ADT             */
/*                                           */
/* David Tompkins 2/11/98                    */
/*                                           */
/*********************************************/

#ifndef _HASHTABLE_H
#define _HASHTABLE_H

typedef void (HashEnumFunc)(char *, const void *, void *);
typedef struct HashTable HashTable;

extern HashTable* HashTableCreate();
extern int        HashTableInsert(HashTable *ht, char *name, void *value);
extern void*      HashTableFind(HashTable *ht, char *name);
extern void       HashTableEnumerate(HashTable *ht, HashEnumFunc *fn, void *data);

#endif
