#
# BEGIN COPYRIGHT BLOCK
# Copyright 2001 Sun Microsystems, Inc.
# Portions copyright 1999, 2001 Netscape Communications Corporation.
# All rights reserved.
# END COPYRIGHT BLOCK
#
#
# This makefile is used to grab all the components needed to build.
#
#
#

include $(NSROOT)/nsperl.mk

RELTOOLS = $(ABS_ROOT)/reltools
 
#Temporary integration area components
INT_NMCSDK = 0
INT_ICU = 0
INT_ADMSDK = 0
INT_SETUPSDK = 0
INT_LDAPSDK = 0
INT_PEER = 0

#############################################
# NSPR Library
############################################

NSPR_SUF =	20
NSPR_RELDATE =  DS7.0

NSPR_NSOBJDIR=$(NSOBJDIR_NAME)

ifeq ($(INT_NSPR), 1)
BASE_NSPR = $(INT_DIR)/nspr20/$(NSPR_RELDATE)/$(NSPR_NSOBJDIR)
else
BASE_NSPR = $(COMPONENTS_DIR)/nspr20/$(NSPR_RELDATE)/$(NSPR_NSOBJDIR)
endif

$(LIBNSPR): 

ifneq ($(ARCH), WINNT)
	$(PERL5) -I$(RELTOOLS) $(RELTOOLS)/ftp_puller.pl -method SYMLINK -objdir $(NSCP_DISTDIR)/nspr -componentdir $(BASE_NSPR) -files mdbinary.jar -unzip $(NSCP_DISTDIR)
	$(PERL5) -I$(RELTOOLS) $(RELTOOLS)/ftp_puller.pl -method SYMLINK -objdir $(NSCP_DISTDIR)/nspr -componentdir $(BASE_NSPR) -files mdheader.jar -unzip $(NSCP_DISTDIR)/include
else
	$(PERL5) -I$(RELTOOLS) $(RELTOOLS)/ftp_puller.pl -method FTP -objdir $(NSCP_DISTDIR)/nspr -componentdir $(BASE_NSPR) -files mdbinary.jar -unzip $(NSCP_DISTDIR)
	$(PERL5) -I$(RELTOOLS) $(RELTOOLS)/ftp_puller.pl -method FTP -objdir $(NSCP_DISTDIR)/nspr -componentdir $(BASE_NSPR) -files mdheader.jar -unzip $(NSCP_DISTDIR)/include
endif

###############################################
# DBM Library
##############################################

DBM_RELDATE = DS7.0

ifeq ($(INT_DBM), 1)
BASE_DBM = $(INT_DIR)/dbm/$(DBM_RELDATE)
else
BASE_DBM = $(COMPONENTS_DIR)/dbm/$(DBM_RELDATE)
endif

$(LIBDBM):

ifneq ($(ARCH), WINNT)
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method SYMLINK -objdir $(NSCP_DISTDIR)/dbm -componentdir $(BASE_DBM) -files xpheader.jar -unzip $(NSCP_DIST)/public/dbm
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method SYMLINK -objdir $(NSCP_DISTDIR)/dbm -componentdir $(BASE_DBM)/$(NSOBJDIR_NAME) -files mdbinary.jar -unzip $(NSCP_DISTDIR)
else
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method FTP -objdir $(NSCP_DISTDIR)/dbm -componentdir $(BASE_DBM) -files xpheader.jar -unzip $(NSCP_DIST)/public/dbm
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method FTP -objdir $(NSCP_DISTDIR)/dbm -componentdir $(BASE_DBM)/$(NSOBJDIR_NAME) -files mdbinary.jar -unzip $(NSCP_DISTDIR)
endif

################################################
# SECURITY LIBRARY
################################################

SECURITY_RELDATE = DS7.0

ifeq ($(INT_NSS), 1)
BASE_NSS = $(INT_DIR)/nss/$(SECURITY_RELDATE)
else
BASE_NSS = $(COMPONENTS_DIR)/nss/$(SECURITY_RELDATE)
endif

$(LIBSECURITY):

ifneq ($(ARCH), WINNT)
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method SYMLINK -objdir $(NSCP_DISTDIR)/nss -componentdir $(BASE_NSS) -files xpheader.jar -unzip $(NSCP_DIST)/public/security
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method SYMLINK -objdir $(NSCP_DISTDIR)/nss -componentdir $(BASE_NSS)/$(NSOBJDIR_NAME) -files mdbinary.jar -unzip $(NSCP_DISTDIR)

else
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method FTP -objdir $(NSCP_DISTDIR)/nss -componentdir $(BASE_NSS) -files xpheader.jar -unzip $(NSCP_DIST)/public/security
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method FTP -objdir $(NSCP_DISTDIR)/nss -componentdir $(BASE_NSS)/$(NSOBJDIR_NAME) -files mdbinary.jar -unzip $(NSCP_DISTDIR)

endif

##################################################
# ICU Library
#################################################

ICU_RELDATE = libicu_2_4/DS7.0
ICU_SUF = 24

ICU_ROOT = $(NSCP_COMPDIR)/libicu
ICU_OBJDIR = $(NSOBJDIR_NAME)

ifeq ($(INT_ICU), 1)
BASE_ICU = $(INT_DIR)/libicu/$(ICU_RELDATE)/$(ICU_OBJDIR)
else
BASE_ICU = $(COMPONENTS_DIR)/libicu/$(ICU_RELDATE)/$(ICU_OBJDIR)
endif

$(LIBICU): 
ifneq ($(ARCH), WINNT)
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method SYMLINK -objdir $(ICU_ROOT)/$(ICU_OBJDIR) -componentdir $(BASE_ICU) -files include,lib,bin

else
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method FTP -objdir $(ICU_ROOT)/$(ICU_OBJDIR) -componentdir $(BASE_ICU) -files include,lib,bin

endif

##############################################################
# SETUPSDK
##############################################################

SETUPSDK_VERSION = 6.2
SETUPSDK_RELDATE = DS7.0
SETUPSDK_FILE = setupsdk.tar.gz

SETUPSDK_COMPNAME = setupsdk$(SETUPSDK_VERSION)

SETUPSDK_ROOT = $(NSCP_COMPDIR)/setupsdk

SETUPSDK_OBJDIR  = $(NSOBJDIR_NAME)

ifeq ($(INT_SETUPSDK), 1)
BASE_SETUPSDK = $(INT_DIR)/setupsdk/v$(SETUPSDK_VERSION)/$(SETUPSDK_RELDATE)D/$(SETUPSDK_OBJDIR)
else
BASE_SETUPSDK = $(COMPONENTS_DIR)/setupsdk/v$(SETUPSDK_VERSION)/$(SETUPSDK_RELDATE)D/$(SETUPSDK_OBJDIR)
endif

SETUPSDK_DEST = $(SETUPSDK_ROOT)/$(SETUPSDK_OBJDIR)

$(SETUPSDK): 
ifneq ($(ARCH), WINNT)
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method SYMLINK -objdir $(SETUPSDK_ROOT)/$(SETUPSDK_OBJDIR) -componentdir $(BASE_SETUPSDK) -files bin,include,lib
else
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method FTP -objdir $(SETUPSDK_DEST)/temp -componentdir $(BASE_SETUPSDK) -files setupsdk.tar.gz -unzip $(SETUPSDK_DEST)
endif

################################################################
# ADMSDK Library
###############################################################

ADMSDK_SUF     = 62
ADMSDK_RELDATE = 20041117

ADMSDK_VERSION = $(ADMSDK_RELDATE)D
ADMSDK_ROOT = $(NSCP_COMPDIR)/adminsdk

ADMSDKOBJDIR = $(NSOBJDIR_NAME)

ifeq ($(INT_ADMSDK), 1)
BASE_ADMSDK = $(INT_DIR)/adminsdk$(ADMSDK_SUF)/untested/$(ADMSDK_VERSION)/$(ADMSDKOBJDIR)
else
BASE_ADMSDK = $(COMPONENTS_DIR)/adminsdk$(ADMSDK_SUF)/$(ADMSDK_VERSION)/$(ADMSDKOBJDIR)
endif

$(LIBADMSDK): 

ifneq ($(ARCH), WINNT)
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method SYMLINK -objdir $(ADMSDK_ROOT)/$(ADMSDKOBJDIR) -componentdir $(BASE_ADMSDK) -files include,lib

else
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method FTP -objdir $(ADMSDK_ROOT)/$(ADMSDKOBJDIR) -componentdir $(BASE_ADMSDK) -files include,lib

endif

#############################################################
# LDAP C SDK Library
#############################################################

LDAP_RELDATE = DS7.0
LDAP_SUF = 50

LDAP_VERSION = $(LDAP_RELDATE)
LDAP_ROOT = $(NSCP_COMPDIR)/ldapsdk
				 
LDAPOBJDIR = $(NSOBJDIR_NAME)

ifeq ($(INT_LDAPSDK), 1)
BASE_LDAPSDK = $(INT_DIR)/ldapsdk$(LDAP_SUF)/$(LDAP_VERSION)/$(LDAPOBJDIR)
else
BASE_LDAPSDK = $(COMPONENTS_DIR)/ldapsdk$(LDAP_SUF)/$(LDAP_VERSION)/$(LDAPOBJDIR)
endif

$(LIBLDAP):
ifneq ($(ARCH), WINNT)
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method SYMLINK -objdir $(LDAP_ROOT)/$(LDAPOBJDIR) -componentdir $(BASE_LDAPSDK) -files lib,tools,include

else
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method FTP -objdir $(LDAP_ROOT)/$(LDAPOBJDIR) -componentdir $(BASE_LDAPSDK) -files lib,tools,include

endif

###############################################################
# LDAP java classes 
##############################################################

LDAPJDK_VERSION = v4.17
LDAPJDK = ldapjdk.jar
LDAPJDK_COMP = ldapjdk41

ifeq ($(INT_LDAPJDK), 1)
BASE_LDAPJDK = $(INT_DIR)/$(LDAPJDK_COMP)/$(LDAPJDK_VERSION)
else
BASE_LDAPJDK = $(COMPONENTS_DIR)/$(LDAPJDK_COMP)/$(LDAPJDK_VERSION)
endif

ldapjdk:

	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method FTP -objdir $(CLASS_DEST)/. -componentdir $(BASE_LDAPJDK)/$(NSOBJDIR_NAME) -files $(LDAPJDK)

##########################################################
# JRE
##########################################################

JRE_DIR=$(COMPONENTS_DIR)/admin-jre

ifeq ($(ARCH), HPUX)
JRE_VERSION=jre1.4.2_04
else
JRE_VERSION=jre1.4.2_05
endif

ifeq ($(ARCH), WINNT)
JRE_VERSION=jre1.4.2_05z
JRE_SRC=$(JRE_DIR)/WINNT4.0/$(JRE_VERSION)
JRE_ROOT = $(NSCP_COMPDIR)/jre/$(NSOBJDIR_NAME)
endif

ifneq ($(ARCH), WINNT)
JRE_PATH=$(JRE_DIR)/$(NSCONFIG)/$(JRE_VERSION)
endif

jre:

ifeq ($(ARCH), WINNT)
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method FTP -objdir $(JRE_ROOT) -componentdir $(JRE_SRC) -files jre.z
endif


#############################################################
# Console java classes 
#############################################################

NMCJDK_SUF =  62
NMCJDK_RELDATE = 20041117

NMCJDK_COMP = consolesdk62

NMCJDK_VERSION = $(NMCJDK_RELDATE)D

ifeq ($(INT_NMCSDK), 1)
BASE_NMCSDK = $(INT_DIR)/$(NMCJDK_COMP)/untested/$(NMCJDK_VERSION)
else
BASE_NMCSDK = $(COMPONENTS_DIR)/$(NMCJDK_COMP)/$(NMCJDK_VERSION)
endif

NMCJDK_DIR = $(BASE_NMCSDK)/jars

nmcjdk:

	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method FTP -objdir $(CLASS_DEST) -componentdir $(NMCJDK_DIR) -files base.jar,mcc$(NMCJDK_SUF).jar,mcc$(NMCJDK_SUF)_en.jar,nmclf$(NMCJDK_SUF).jar,nmclf$(NMCJDK_SUF)_en.jar,caplugin

#############################################################
# JSS java classes 
#############################################################

JSS_SDK_VERSION = DS7.0
JSSSDK = jss3.jar

ifeq ($(INT_JSS), 1)
BASE_JSS = $(INT_DIR)/jss/$(JSS_SDK_VERSION)
else
BASE_JSS = $(COMPONENTS_DIR)/jss/$(JSS_SDK_VERSION)
endif

jsssdk:
	mkdir -p $(CLASS_DEST)
	$(PERL5) -I$(RELTOOLS) $(RELTOOLS)/ftp_puller.pl -method FTP -objdir $(CLASS_DEST)/. -componentdir $(BASE_JSS) -files $(JSSSDK)



#############################################################
# JSS Support Library
#############################################################

JSSLIB = mdbinary.jar

JSS_OBJDIR = $(NSOBJDIR_NAME)

ifeq ($(ARCH), Linux)
	JSS_OBJDIR = $(NSOS_ARCH)$(NSOS_RELEASE)_$(CPU_ARCH)_glibc_PTH$(NSOBJDIR_TAG).OBJ
endif

BASE_JSSLIB = $(NSCP_COMPDIR)/jss/$(JSS_OBJDIR)

jsslib:

ifneq ($(ARCH), WINNT)
ifneq ($(ARCH), SOLARISx86)
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method SYMLINK -objdir $(BASE_JSSLIB) -componentdir $(BASE_JSS)/${JSS_OBJDIR} -files ${JSSLIB} -unzip $(BASE_JSSLIB)
endif

else
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method FTP -objdir $(BASE_JSSLIB) -componentdir $(BASE_JSS)/${JSS_OBJDIR} -files ${JSSLIB} -unzip $(BASE_JSSLIB)

endif



###########################################################
# Peer
###########################################################

PEER_RELDATE = DS7.0
ifeq ($(ARCH), SOLARISx86)
PEER_RELDATE = 20010803
endif

ifeq ($(INT_PEER), 1)
BASE_PEER = $(INT_DIR)
else
BASE_PEER = $(COMPONENTS_DIR)
endif

PEER_DIR = $(BASE_PEER)/peer/$(PEER_RELDATE)/$(NSOBJDIR_NAME)
PEER_ROOT = $(NSCP_COMPDIR)/peer/$(NSOBJDIR_NAME)

peer:
ifneq ($(64BIT_TAG), _64)
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method FTP -objdir $(PEER_ROOT) -componentdir $(PEER_DIR) -files sagt,magt
endif

##########################################################
# NES Core Admin
##########################################################

NESCORE_SUF = 62

ifeq ($(ARCH), Linux)
NESCORE_RELDATE = ES6.1sp6/20040920
else
NESCORE_RELDATE = ES6.1sp4/20031110
endif

NESCORE_VERSION = $(NESCORE_RELDATE)D
NESCORE_ROOT = $(NSCP_COMPDIR)/nescore

NESCOREOBJDIR = $(NSOBJDIR_NAME)
ifeq ($(INT_NESCORE), 1)
    BASE_NESCORE = $(INT_DIR)/admserv$(NESCORE_SUF)-nescore/$(NESCORE_VERSION)/$(NESCOREOBJDIR)
else
    BASE_NESCORE = $(COMPONENTS_DIR)/admserv$(NESCORE_SUF)-nescore/$(NESCORE_VERSION)/$(NESCOREOBJDIR)
endif


nescore:

ifneq ($(ARCH), WINNT)
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method SYMLINK -objdir $(NESCORE_ROOT)/$(NESCOREOBJDIR) -componentdir $(BASE_NESCORE) -files nescore.zip,java.zip -unzip $(NESCORE_ROOT)/$(NESCOREOBJDIR)

else
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method FTP     -objdir $(NESCORE_ROOT)/$(NESCOREOBJDIR) -componentdir $(BASE_NESCORE) -files nescore.zip,java.zip -unzip $(NESCORE_ROOT)/$(NESCOREOBJDIR)
endif

# ANT java classes #######################################
#  (we use ant for building some Java code)
ifndef ANT_VERSION
  ANT_VERSION = 1.4.1
endif
ifndef ANT_COMP
  ANT_COMP = ant
endif
ANTJAR = ant.jar
ANT_FILES = $(ANTJAR) 
ANT_RELEASE = $(COMPONENTS_DIR)
ANT_HOME = $(ANT_RELEASE)/$(ANT_COMP)/$(ANT_VERSION)
ANT_DIR = $(ANT_HOME)/lib
ANT_DEP = $(addprefix $(CLASS_DEST)/, $(ANT_FILES))
ANT_CP = $(subst $(SPACE),$(PATH_SEP),$(ANT_DEP))
ANT_PULL = $(subst $(SPACE),$(COMMA),$(ANT_FILES))

ifndef ANT_PULL_METHOD
ANT_PULL_METHOD = FTP
endif

$(ANT_DEP): $(CLASS_DEST) 
	echo "Inside ftppull"
	$(PERL5) $(RELTOOLS)/ftp_puller.pl -method FTP -objdir $(CLASS_DEST) \
		-componentdir $(ANT_DIR) -files $(ANT_PULL)
	-@if [ ! -f $@ ] ; \
	then echo "Error: could not get component ant files $@" ; \
	fi
###########################################################

# INFOZIP #################################################
ifndef INFOZIP_RELDATE
INFOZIP_RELDATE = CMSTOOLS_7_x
endif
ifndef INFOZIP_PULL_METHOD
INFOZIP_PULL_METHOD = FTP
endif

INFOZIP_PATH=$(ABS_ROOT)/dist/$(NSOBJDIR_NAME)/$(NS_BUILD_FLAVOR)/tools
INFOZIP=$(INFOZIP_PATH)/infozip.zip

$(INFOZIP): 
	-rm -rf $(INFOZIP_PATH)
	mkdir -p $(INFOZIP_PATH)
	$(PERL5) -I$(RELTOOLS) $(RELTOOLS)/ftp_puller.pl \
		-method $(INFOZIP_PULL_METHOD) \
		-objdir $(INFOZIP_PATH) \
		-componentdir $(COMPONENTS_DIR)/infozip/$(INFOZIP_RELDATE)/$(NSOBJDIR_NAME) \
		-files infozip.zip \
		-unzip $(INFOZIP_PATH)
	@if [ ! -f $@ ] ; \
		then echo "Error: could not get component INFOZIP file $@" ; \
		exit 1 ; \
	fi
	-rm -rf $(INFOZIP_PATH)/infozip.zip

###########################################################
