/** BEGIN COPYRIGHT BLOCK
 * Copyright 2001 Sun Microsystems, Inc.
 * Portions copyright 1999, 2001 Netscape Communications Corporation.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
/*
 * fasttime.h
 *
 * "fast" time module
 *
 *
 */

#ifndef _FASTTIME_H_
#define _FASTTIME_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "prtypes.h"

/* ft_init()
** Initialization function for fasttime module.
** Returns true on success, false otherwise.
*/
PR_EXTERN(PRBool) ft_init(void);
PR_EXTERN(PRBool) ft_md_init(void);

/* ft_time()
** Equivalent to UNIX's time() call; returning the number of seconds
** since epoch (Jan 1, 1970).  
** Uses the platform independant clockthread to get the time.
**/
PR_EXTERN(PRUint32) ft_time(void);
PR_EXTERN(PRUint32) ft_md_time(void);

#ifdef __cplusplus
}
#endif


#endif /* _FASTTIME_H_ */
