/** BEGIN COPYRIGHT BLOCK
 * Copyright 2001 Sun Microsystems, Inc.
 * Portions copyright 1999, 2001 Netscape Communications Corporation.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/

#ifndef nserrmsg_h
#define nserrmsg_h

/***********************************************************************
** Includes
***********************************************************************/
#include "nscfgn.h"


//**********************************************************************
// CLASS:	NSErrmsg
// DESCRIPTION:	Class to support the handling of error messages.
//
// EXAMPLE:
//
// RESTRICTIONS:
//
// RETURN CODE TABLE:
//**********************************************************************
class NSerrmsg : public NSbase {
public:
   NSerrmsg();
   NSerrmsg(CStr fname, CStr* paths=0);
  ~NSerrmsg();

   NSerrmsg& Open(CStr fname);

   CStr Get(CStr key);
   
protected:
   void  Dump(ostream&) const;
   CStr  Name() const;

private:
   NScfgn    _msgfile;
   };


/***********************************************************************
** NSerrmsg Inline Functions
***********************************************************************/
inline NSerrmsg& NSerrmsg::Open(CStr fname) {
   if (_msgfile.Open(fname).Bad())
      Errnum(_msgfile.Errnum());
   return(*this);
   }


inline CStr NSerrmsg::Get(CStr key) {
   Str message = 0;
   if (!_msgfile.Get("messages", key, message)) {
      Errnum(_msgfile.Errnum());
      return(key);
      }
   else {
      return(message);
      }
   }

#endif /* nserrmsg_h */

