/** BEGIN COPYRIGHT BLOCK
 * Copyright 2001 Sun Microsystems, Inc.
 * Portions copyright 1999, 2001 Netscape Communications Corporation.
 * All rights reserved.
 * END COPYRIGHT BLOCK **/
//--------------------------------------------------------------------------//
//                                                                          //
//  Name: regparms.h                                                        //
//	Platforms: WIN32                                                        //
//  ......................................................................  //
//  This module contains registry key definations used throughout the       //
//  server.                                                                 //
//  ......................................................................  //
//
//--------------------------------------------------------------------------//
#define KEY_COMPANY             "Netscape"
#define KEY_APP_PATH            "SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\App Paths"
#define KEY_RUN_ONCE            "SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\RunOnce"
#define KEY_SNMP_SERVICE        "SNMP\\Parameters\\ExtensionAgents"
#define KEY_EVENTLOG_MESSAGES   "EventLogMessages"
#define KEY_SOFTWARE_NETSCAPE   "SOFTWARE\\Netscape"
#define VALUE_IMAGE_PATH        "ImagePath"
#define VALUE_CONFIG_PATH       "ConfigurationPath"
#define VALUE_ROOT_PATH         "RootPath"
#define VALUE_APP_PATH          "Pathname"
#define PROGRAM_GROUP_NAME      "Netscape Server Family"
#define STR_PRODUCT_TYPE        "Server"
#define STR_EXE                 ".exe"
#define STR_COMPANY_PREFIX      "ns-"

/* Admin IDs */
#define ADM_ID_PRODUCT         "admin"
#define ADM_NAME_SHORT         "Administration"
#define ADM_VERSION            "6.2"
#define ADM_NAME_VERSION       "Administration 6.2"
#define ADM_NAME_SERVER        "Administration Server"
#define ADM_NAME_FULL          "Netscape Administration Server"
#define ADM_NAME_FULL_VERSION  "Netscape Administration Server 6.2"
#define ADM_NAME_SERVICE       "Netscape Administration 6.2"
#define ADM_EXE                "ns-admin.exe"
#define ADM_EXE_START          "admin.exe"
#define ADM_ID_SERVICE         "admin62"
#define ADM_KEY_ROOT           "Administration\\6.2"
#define ADM_SERVER_LST_NAME    "adm:Netscape Enterprise Server"
#define ADM_DIR_ROOT           "admin"
#define ADM_NAME_UNINSTALL     "Uninstall Administration Server 6.2"

/* original definitions */
// Upper-level registry parameters

#define SERVICE_NAME           ADM_ID_SERVICE
#define EVENTLOG_APPNAME	   ADM_NAME_VERSION
#define SERVICE_EXE            ADM_EXE
#define SERVICE_PREFIX         ADM_NAME_VERSION
#define SVR_ID_PRODUCT         ADM_ID_PRODUCT
#define SVR_NAME_SHORT         ADM_NAME_SHORT
#define SVR_VERSION            ADM_VERSION
#define SVR_NAME_VERSION       ADM_NAME_VERSION
#define SVR_NAME_SERVER        ADM_NAME_SERVER
#define SVR_NAME_FULL          ADM_NAME_FULL
#define SVR_NAME_FULL_VERSION  ADM_NAME_FULL_VERSION
#define SVR_NAME_SERVICE       ADM_NAME_SERVICE
#define SVR_EXE                ADM_EXE
#define SVR_EXE_START          ADM_EXE_START
#define SVR_ID_SERVICE         ADM_ID_SERVICE
#define SVR_KEY_ROOT           ADM_KEY_ROOT
#define SVR_SERVER_LST_NAME    ADM_SERVER_LST_NAME
#define SVR_DIR_ROOT           ADM_DIR_ROOT
#define SVR_NAME_UNINSTALL     ADM_NAME_UNINSTALL

#define VERSION_KEY "CurrentVersion"

// Configuration Parameters

#define SOFTWARE_KEY                    "Software"

// NT Perfmon DLL entries
#define KEY_PERFORMANCE     "Performance"
#define PERF_MICROSOFT_KEY	"SOFTWARE\\Microsoft\\Windows NT\\Perflib\\009"
#define PERF_COUNTER_KEY	"Counter"
#define PERF_HELP_KEY		"Help"
#define PERF_OPEN_FUNCTION	"OpenNSPerformanceData"
#define PERF_COLLECT_FUNCTION	"CollectNSPerformanceData"
#define PERF_CLOSE_FUNCTION	"CloseNSPerformanceData"
#define PERF_CTR_INI		"nsctrs.ini"
